Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.tags
Class SearchFieldTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.forms.tags.BasicValueTag
                      org.makumba.forms.tags.InputTag
                          org.makumba.forms.tags.SearchFieldTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class SearchFieldTag

extends InputTag

This tag implements an input field to be used within search forms. It slightly changes some of the functionality of `InputTag`, e.g. among others:

- Not needing the name field, but getting the name & type of the input from the first argument in the fields attribute of `CriterionTag`, using `CriterionTag.getInputName()`
- Allows to change a select input to be forced to a single/multiple select using the 'forceInputStyle' attribute.
- Allows for range searching, triggered by the the 'role' attribute, requiring 'isRange' attribute in `CriterionTag` to be set to 'true'

Version:
  $Id: SearchFieldTag.java,v 1.1 Oct 21, 2007 1:29:06 PM rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`static String[]` | `allowedSelectTypes`
`protected String` | `forceInputStyle`

Fields inherited from class org.makumba.forms.tags.InputTag
`bodyContent, calendarEditor, calendarEditorLink, choiceSet, display, isChoser, name, nameVar, nullOption`

Fields inherited from class org.makumba.forms.tags.BasicValueTag
`dataType, ddp, expr, fdp, valueExprOriginal`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchFieldTag()`

Method Summary
`boolean` | `allowsIdenticalKey()` Determines whether the tag can have the same key as others in the page
`int` | `doAnalyzedEndTag(PageCache pageCache)` makumba-specific endTag
`void` | `doStartAnalyze(PageCache pageCache)` Determines the ValueComputer and associates it with the tagKey
`protected CriterionTag` | `getCriterionTag()`
`void` | `setForceInputStyle(String forceInputStyle)`
`void` | `setRole(String role)`
`void` | `setTagKey(PageCache pageCache)` Sets tagKey to uniquely identify this tag.

Methods inherited from class org.makumba.forms.tags.InputTag
`checkBodyContentForNonWhitespace, computedValue, doAnalyzedCleanup, doAnalyzedStartTag, doEndAnalyze, doInitBody, getTypeFromContext, initialiseState, setAccessKey, setAutoComplete, setBodyContent, setCalendarEditor, setCalendarEditorLink, setDataType, setDisabled, setDisplay, setField, setName, setNameVar, setNullOption, setOnBlur, setOnChange, setOnFocus, setOnSelect, setStepSize, setTabIndex, toString`

Methods inherited from class org.makumba.forms.tags.BasicValueTag
`checkPtrExpr, getForm, isAttribute, isAttribute, isNull, isValue, isValue, setValue`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, canHaveBody, checkValidAttributeValues, doEndTag, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Field Detail

### allowedSelectTypes

    public static final String[] allowedSelectTypes

### forceInputStyle

    protected String forceInputStyle

Constructor Detail

### SearchFieldTag

    public SearchFieldTag()

Method Detail

### setForceInputStyle

    public void setForceInputStyle(String forceInputStyle)

### getCriterionTag

    protected CriterionTag getCriterionTag()

### doStartAnalyze

    public void doStartAnalyze(PageCache pageCache)

  Determines the ValueComputer and associates it with the tagKey

  Overrides:
    `doStartAnalyze` in class `InputTag`
  Parameters:
    `pageCache` - the page cache of the current page

### doAnalyzedEndTag

    public int doAnalyzedEndTag(PageCache pageCache)
                         throws JspException,
                                LogicException

  Description copied from class: `AnalysableTag`
  makumba-specific endTag

  Overrides:
    `doAnalyzedEndTag` in class `InputTag`
  Parameters:
    `pageCache` - The page cache for the current page
  Throws:
    `JspException`
    `LogicException`
  See Also:
    `AnalysableTag.doEndTag()`

### setTagKey

    public void setTagKey(PageCache pageCache)

  Description copied from class: `InputTag`
  Sets tagKey to uniquely identify this tag. Called at analysis time before doStartAnalyze() and at runtime before doMakumbaStartTag()

  Overrides:
    `setTagKey` in class `InputTag`
  Parameters:
    `pageCache` - The page cache for the current page
  See Also:
    `AnalysableTag.doAnalyzedStartTag(org.makumba.analyser.PageCache)`, `AnalysableTag.doStartAnalyze(org.makumba.analyser.PageCache)`

### setRole

    public void setRole(String role)

### allowsIdenticalKey

    public boolean allowsIdenticalKey()

  Description copied from class: `AnalysableTag`
  Determines whether the tag can have the same key as others in the page

  Overrides:
    `allowsIdenticalKey` in class `AnalysableTag`
  Returns:
    `true` if the tag is allowed to have the same key as others in the page, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20